﻿<%@ Page Language="C#" %>
<%@ import Namespace="System.Globalization" %>
<%@ import Namespace="System.Text" %>
<%@ import Namespace="System.Threading" %>
<script runat="server">

    // Insert page code here
    //
    
    void Page_Load(Object sender, EventArgs e)
    {
     if (!Page.IsPostBack)
     {
    
        CultureInfo[] aCIs = CultureInfo.GetCultures(CultureTypes.NeutralCultures);
        for (int i=0; i < aCIs.Length; i++)
        {
            lbNeutralCultures.Items.Add(new ListItem(aCIs[i].EnglishName + " [" + aCIs[i].Name + "]",
                                        aCIs[i].Name));
        }
     }
    }
    
    void lbNeutralCultures_SelectedIndexChanged(Object sender, EventArgs e)
    {
        lbSpecificCultures.Items.Clear();
        lblInfo.Text = "";
    
        CultureInfo ciCurrent = new CultureInfo(lbNeutralCultures.SelectedItem.Value);
    
        CultureInfo[] aCIs = CultureInfo.GetCultures(CultureTypes.SpecificCultures);
    
        for (int i=0; i < aCIs.Length; i++)
        {
            if (ciCurrent.Equals(aCIs[i].Parent))
            {
                ListItem li = new ListItem(aCIs[i].EnglishName + " [" + aCIs[i].Name + "]", aCIs[i].Name);
                lbSpecificCultures.Items.Add(li);
            }
        }
    }
    
    void lbSpecificCultures_SelectedIndexChanged(Object sender, EventArgs e)
    {
        StringBuilder strInfo = new StringBuilder();
    
        CultureInfo ciCurrent = new CultureInfo(lbSpecificCultures.SelectedItem.Value);
    
        if (!ciCurrent.IsNeutralCulture)
        {
            Thread.CurrentThread.CurrentCulture = ciCurrent;
            strInfo.Append("Kurzes Datum: ");
            strInfo.Append(DateTime.Now.ToShortDateString());
            strInfo.Append("<br>Langes Datum: ");
            strInfo.Append(DateTime.Now.ToLongDateString());
            strInfo.Append("<br>Kurze Zeit: ");
            strInfo.Append(DateTime.Now.ToShortTimeString());
            strInfo.Append("<br>Lange Zeit: ");
            strInfo.Append(DateTime.Now.ToLongTimeString());
            strInfo.Append("<br>Zahl (35007.09): ");
            strInfo.Append((35007.09).ToString("n"));
            strInfo.Append("<br>Währung (1057.80): ");
            strInfo.Append((1057.80).ToString("c"));
        }
    
        lblInfo.Text = strInfo.ToString();
    }

</script>
<html>
<head>
    <title>Culture Browser</title>
</head>
<body>
    <form runat="server">
        <asp:ListBox id="lbNeutralCultures" runat="server" Width="231px" Height="222" OnSelectedIndexChanged="lbNeutralCultures_SelectedIndexChanged" AutoPostBack="True"></asp:ListBox>
        <asp:ListBox id="lbSpecificCultures" style="Z-INDEX: 100; LEFT: 248px; POSITION: absolute; TOP: 16px" runat="server" Width="252px" Height="225px" OnSelectedIndexChanged="lbSpecificCultures_SelectedIndexChanged" AutoPostBack="True"></asp:ListBox>
        <br />
        <asp:Label id="lblInfo" runat="server"></asp:Label>
        <!-- Insert content here -->
    </form>
</body>
</html>
